6897  AP1%=VARPTR(V1%(1)):CALL SAVESCRN(1,AP1%)            ' salva ventana
      OPEN "PSWACC.ARG" FOR RANDOM ACCESS READ WRITE SHARED AS #41 LEN=49
      FIELD#41,1AS ST41$,7AS MN41$,30AS DE41$,5AS CV41$,6AS PG41$
      GET#41,CVEACC
      IF CV41$=SPACE$(5) THEN VCVE=0:GOTO 6899
      LOCATE 2,2:PRINT ""

      PR=06:PC=63:NR=03:NC=14:GOSUB 9980
      PR=07:PC=71:NR=01:NC=05:GOSUB 9981
      COLOR 15,7
      LOCATE  8,65:PRINT "Clave"

      COLOR 15,1:LOCATE 8,72:PRINT SPACE$(5)
      PSW$=SPACE$(5)
      I=1
6898  S$="":W=8:Z=71+I:L=1:T=3:keypressed = edit(z,w,l,S$)
      IF KEYPRESSED=ESCAPE OR KEYPRESSED=UPARROW OR KEYPRESSED=LEFTARROW OR KEYPRESSED=BACKSPACE THEN
         IF I=1 THEN
            VCVE=1
            GOTO 6899
         ELSE
            COLOR 15,1:LOCATE 8,71+I:PRINT "*"
            I=I-1
            GOTO 6899
         ENDIF
      ENDIF
      MID$(PSW$,I,1)=S$
      COLOR 15,1:LOCATE 8,71+I:PRINT "*"
      I=I+1
      IF I<6 THEN 6898
      IF PSW$<>CV41$ THEN
         VCVE=1
         BEEP
         GOTO 6899
      ENDIF
      VCVE=0

6899  CLOSE#41
      CALL RESTSCRN(1,AP1%)                                ' restaura ventana
      RETURN
